idf_component_register(
        SRCS 
            "main.c"
            "./gpio/gpio.c"
            "./wifi/wifi.c"
            "./lcd/lcd.c"
            "./fatfs/fatfs.c"
            "./pages/pages.c"
            "./ble/ble.c"
            "./battery/battery.c"
            "./button/button.c"
            "./sleep_mgr/sleep_mgr.c"
            "./ui/ui.c"
            "./ui/components/ui_comp_hook.c"
            "./ui/screens/ui_ScreenHome.c"
            "./ui/screens/ui_ScreenSet.c"
            "./ui/screens/ui_ScreenImg.c"
            "./ui/screens/ui_ScreenChar.c"
            "./ui/ui_helpers.c"
            "./ui/images/ui_img_s1_png.c"
            "./ui/images/ui_img_s6_png.c"
            "./ui/images/ui_img_s8_png.c"
            "./ui/images/ui_img_s9_png.c"
            "./ui/images/ui_img_s10_png.c"
            "./ui/images/ui_img_s11_png.c"
            "./ui/images/ui_img_s12_png.c"
            "./ui/images/ui_img_s13_png.c"
            "./ui/images/ui_img_s14_png.c"
            # "./axis/axis.c"
        INCLUDE_DIRS 
            "."
            "./gpio/include/"
            "./wifi/include/"
            "./lcd/include/"
            "./fatfs/include/"
            "./pages/include/"
            "./ble/include/"
            "./battery/include/"
            "./button/include/"
            "./sleep_mgr/include/"
            "./ui/"
            "./ui/screens/"
            # "./axis/include/"
)
